Package twisted :: Package protocols :: Module dns :: Class RRHeader

[show private | hide private]
[frames | no frames]

## Class RRHeader

A resource record header.

Method Summary
| ``__init__`(self, name, type, cls, ttl, payload)`
| `__repr__(self)`
| `__str__(self)`
| `decode(self, strio, length)`
| `encode(self, strio, compDict)`

Instance Variable Summary
| `cls` - The query class of the original request.
| `name` - The name about which this reply contains information.
| `payload` - An object that implements the IEncodable interface
| `ttl` - The time-to-live for this record.
| `type` - The query type of the original request.

Class Variable Summary
`tuple` | `__implements__`
`NoneType` | `cachedResponse`
`NoneType` | `cls`
`str` | `fmt` - `str`specifying the byte format of an RR.
`NoneType` | `name`
`NoneType` | `payload`
`NoneType` | `rdlength`
`NoneType` | `ttl`
`NoneType` | `type`

Method Details

### __init__(self, name='', type=1, cls=1, ttl=0, payload=None)
(Constructor)

  Parameters:
    `name` - The name about which this reply contains information.
    (type=`str`)
    `type` - The query type.
    (type=`int`)
    `cls` - The query class.
    (type=`int`)
    `ttl` - Time to live for this record.
    (type=`int`)
    `payload` - A Query Type specific data object.
    (type=An object implementing `IEncodable`)

Instance Variable Details

### cls

The query class of the original request.

### name

The name about which this reply contains information.

### payload

An object that implements the IEncodable interface

### ttl

The time-to-live for this record.

### type

The query type of the original request.

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.protocols.dns.IEncodable at 0x86de2ac>,)

### cachedResponse

  Type:
    `NoneType`
  Value:

        None

### cls

  Type:
    `NoneType`
  Value:

        None

### fmt

`str` specifying the byte format of an RR.

  Type:
    `str`
  Value:

        '!HHIH'

### name

  Type:
    `NoneType`
  Value:

        None

### payload

  Type:
    `NoneType`
  Value:

        None

### rdlength

  Type:
    `NoneType`
  Value:

        None

### ttl

  Type:
    `NoneType`
  Value:

        None

### type

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:16:36 2003 | http://epydoc.sf.net